%global _empty_manifest_terminate_build 0
Name:           python-confetti
Version:        2.5.3
Release:        1
Summary:        Generic configuration mechanism
License:        BSD
URL:            https://github.com/vmalloc/confetti
Source0:        https://files.pythonhosted.org/packages/2f/6a/a6ffaa02a5a88cdac4499aceef3c3749c8dc2e8b04b342d29b865384c363/confetti-2.5.3.tar.gz
BuildArch:      noarch
%description
Generic configuration mechanism

%package -n python3-confetti
Summary:        Generic configuration mechanism
Provides:       python-confetti
# Base build requires
BuildRequires:  python3-devel
BuildRequires:  python3-setuptools
BuildRequires:  python3-pbr
BuildRequires:  python3-pip
BuildRequires:  python3-wheel
BuildRequires:  python3-six
BuildRequires:  python3-sentinels
BuildRequires:  python3-pytest
%description -n python3-confetti
Generic configuration mechanism

%package help
Summary:        Generic configuration mechanism
Provides:       python3-confetti-doc
%description help
Generic configuration mechanism

%prep
%autosetup -n confetti-%{version}

%build
%py3_build

%install
%py3_install

install -d -m755 %{buildroot}/%{_pkgdocdir}
if [ -d doc ]; then cp -arf doc %{buildroot}/%{_pkgdocdir}; fi
if [ -d docs ]; then cp -arf docs %{buildroot}/%{_pkgdocdir}; fi
if [ -d example ]; then cp -arf example %{buildroot}/%{_pkgdocdir}; fi
if [ -d examples ]; then cp -arf examples %{buildroot}/%{_pkgdocdir}; fi
pushd %{buildroot}
if [ -d usr/lib ]; then
    find usr/lib -type f -printf "/%h/%f\n" >> filelist.lst
fi
if [ -d usr/lib64 ]; then
    find usr/lib64 -type f -printf "/%h/%f\n" >> filelist.lst
fi
if [ -d usr/bin ]; then
    find usr/bin -type f -printf "/%h/%f\n" >> filelist.lst
fi
if [ -d usr/sbin ]; then
    find usr/sbin -type f -printf "/%h/%f\n" >> filelist.lst
fi
touch doclist.lst
if [ -d usr/share/man ]; then
    find usr/share/man -type f -printf "/%h/%f.gz\n" >> doclist.lst
fi
popd
mv %{buildroot}/filelist.lst .
mv %{buildroot}/doclist.lst .

# no tests provides
#%%check
#%%{__python3} -m pytest

%files -n python3-confetti -f filelist.lst
%dir %{python3_sitelib}/*

%files help -f doclist.lst
%{_docdir}/*

%changelog
* Fri Aug 06 2021 OpenStack_SIG <openstack@openeuler.org> - 2.5.3-1
- Package Spec generate
